tifffile (20260216-1) unstable; urgency=medium

  * New upstream version 20260216
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Feb 2026 21:10:34 +0100

tifffile (20260128-1) unstable; urgency=medium

  * New upstream version 20260128
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Jan 2026 15:15:37 +0100

tifffile (20260114-1) unstable; urgency=medium

  * New upstream version 20260114
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed
  * Rename Gitlab CI file to d/salsa-ci.yml

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Jan 2026 08:16:52 +0100

tifffile (20251016-1) unstable; urgency=medium

  * New upstream version 20251016
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Oct 2025 09:05:24 +0200

tifffile (20250930-1) unstable; urgency=medium

  * New upstream version 20250930
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 30 Sep 2025 14:12:37 +0200

tifffile (20250920-1) unstable; urgency=medium

  * d/watch: update to format version 5.0 Switch upstream to Github
  * New upstream version 20250920
  * Rediff patches
  * Remove obsolete Rules-Requires-Root: no

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Sep 2025 21:32:26 +0200

tifffile (20250909-1) unstable; urgency=medium

  * New upstream version 20250909
  * Rediff patches. Remove patch applied upstream

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Sep 2025 20:02:14 +0200

tifffile (20250828-1) unstable; urgency=medium

  * New upstream version 20250828
  * Rediff patches
  * Mark test_issue_dcp as needing private files

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Aug 2025 14:55:30 +0200

tifffile (20250611-1) unstable; urgency=medium

  * New upstream version 20250611
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Aug 2025 14:07:35 +0200

tifffile (20250330-1) unstable; urgency=medium

  * New upstream version 20250330
  * Rediff patches
  * Remove arch:any remnants from d/rules

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Mar 2025 16:00:48 +0200

tifffile (20250313-1) unstable; urgency=medium

  * New upstream version 20250313
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Mar 2025 16:50:25 +0100

tifffile (20250218-1) unstable; urgency=medium

  * New upstream version 20250218
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 22 Feb 2025 13:10:38 +0100

tifffile (20250110-1) unstable; urgency=medium

  * New upstream version 20250110
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Jan 2025 14:21:57 +0100

tifffile (20241212-1) unstable; urgency=medium

  * New upstream version 20241212
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Dec 2024 07:30:33 +0100

tifffile (20240920-1) unstable; urgency=medium

  * New upstream version 20240920
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Sep 2024 11:59:51 +0200

tifffile (20240830-1) unstable; urgency=medium

  * New upstream version 20240830
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 01 Sep 2024 13:16:50 +0200

tifffile (20240824-1) unstable; urgency=medium

  * New upstream version 20240824
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Aug 2024 11:55:05 +0200

tifffile (20240810-1) unstable; urgency=medium

  * New upstream version 20240810
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Aug 2024 10:54:22 +0200

tifffile (20240724-1) unstable; urgency=medium

  * New upstream version 20240724
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Jul 2024 10:20:18 +0200

tifffile (20240721-1) unstable; urgency=medium

  * New upstream version 20240721. Closes: #1075798
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jul 2024 10:07:50 +0200

tifffile (20240702-1) unstable; urgency=medium

  * New upstream version 20240702
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Jul 2024 09:31:50 +0200

tifffile (20240618-1) unstable; urgency=medium

  * New upstream version 20240618
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Jun 2024 18:21:06 +0200

tifffile (20240522-1) unstable; urgency=medium

  * New upstream version 20240522
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 24 May 2024 08:18:53 +0200

tifffile (20240510-1) unstable; urgency=medium

  * New upstream version 20240510
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 18 May 2024 14:08:52 +0200

tifffile (20240424-1) unstable; urgency=medium

  * New upstream version 20240424
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Apr 2024 08:08:59 +0200

tifffile (20240418-1) unstable; urgency=medium

  * New upstream version 20240418
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Apr 2024 07:54:48 +0200

tifffile (20240212-1) unstable; urgency=medium

  * New upstream version 20240212
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Feb 2024 08:09:35 +0100

tifffile (20240130-1) unstable; urgency=medium

  * New upstream version 20240130
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 04 Feb 2024 13:38:06 +0100

tifffile (20231209-1) unstable; urgency=medium

  * New upstream version 20231209
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 09:46:06 +0100

tifffile (20230926-1) unstable; urgency=medium

  * New upstream version 20230926
  * Rediff patches
  * Add missing pytest.mark.skipif

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2023 10:37:55 +0200

tifffile (20230918-1) unstable; urgency=medium

  * New upstream version 20230918
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Sep 2023 09:36:47 +0200

tifffile (20230830-1) unstable; urgency=medium

  * New upstream version 20230830
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 02 Sep 2023 11:51:22 +0200

tifffile (20230825-1) unstable; urgency=medium

  * New upstream version 20230825
  * Rediff patches
  * Put egg-info files (recreated during build) into d/clean (Closes: #1047381)

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Aug 2023 10:01:38 +0200

tifffile (20230718-1) unstable; urgency=medium

  * New upstream version 20230718
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Jul 2023 10:14:52 +0200

tifffile (20230710-1) unstable; urgency=medium

  * New upstream version 20230710
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Jul 2023 14:59:47 +0200

tifffile (20230704-1) unstable; urgency=medium

  * New upstream version 20230704
  * Drop Add-missing-SKIP_PRIVATE...patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Jul 2023 09:51:51 +0200

tifffile (20230412-1) unstable; urgency=medium

  * New upstream version 20230412
  * Rediff patches
  * Remove outdated Breaks/Conflicts: tifffile
  * Add missing SKIP_PRIVATE for test_issue_invalid_predictor

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 16:45:48 +0200

tifffile (20230203-1) unstable; urgency=medium

  * New upstream version 20230203
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Feb 2023 20:19:41 +0100

tifffile (20230123.1-1) unstable; urgency=medium

  * New upstream version 20230123.1
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Jan 2023 21:05:54 +0100

tifffile (20221010-1) unstable; urgency=medium

  * New upstream version 20221010
  * Rediff patches. Drop patch applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Oct 2022 14:11:26 +0200

tifffile (20220812-2) unstable; urgency=medium

  * Fix indentation error in test

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Aug 2022 12:27:56 +0200

tifffile (20220812-1) unstable; urgency=medium

  * New upstream version 20220812
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 13:48:59 +0200

tifffile (20220803-1) unstable; urgency=medium

  * New upstream version 20220803
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Aug 2022 14:37:01 +0200

tifffile (20220504-1) unstable; urgency=medium

  * New upstream version 20220504
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Jun 2022 08:12:06 +0200

tifffile (20220428-2) unstable; urgency=medium

  * xfail tests that may require the 'imagecodecs' package

 -- Ole Streicher <olebole@debian.org>  Wed, 04 May 2022 11:48:15 +0200

tifffile (20220428-1) unstable; urgency=medium

  * New upstream version 20220428
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 02 May 2022 17:49:26 +0200

tifffile (20220426-1) unstable; urgency=medium

  * New upstream version 20220426
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Apr 2022 17:48:49 +0200

tifffile (20220422-1) unstable; urgency=medium

  * New upstream version 20220422
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 23 Apr 2022 14:44:13 +0200

tifffile (20220408-1) unstable; urgency=medium

  * New upstream version 20220408
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Apr 2022 15:07:22 +0200

tifffile (20220325-1) unstable; urgency=medium

  * New upstream version 20220325
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Mar 2022 08:23:49 +0200

tifffile (20220316-1) unstable; urgency=medium

  * New upstream version 20220316
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 16:34:33 +0100

tifffile (20220209-1) unstable; urgency=medium

  * New upstream version 20220209
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Feb 2022 08:49:23 +0100

tifffile (20220202-1) unstable; urgency=medium

  * New upstream version 20220202
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 09 Feb 2022 10:09:55 +0100

tifffile (20211102-1) unstable; urgency=medium

  * New upstream version 20211102
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Dec 2021 08:36:37 +0100

tifffile (20210830-2) unstable; urgency=medium

  * Add python3-fsspec for tests
  * Disable test that requires a file that is not available

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Sep 2021 10:53:40 +0200

tifffile (20210830-1) unstable; urgency=medium

  * New upstream version 20210830
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes required
  * Remove conflicts+replaces of outdated python-tifffile

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Sep 2021 09:20:49 +0200

tifffile (20210201-1) unstable; urgency=medium

  * New upstream version 20210201
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Feb 2021 10:34:29 +0100

tifffile (20210108-1) unstable; urgency=medium

  * New upstream version 20210108
  * Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Jan 2021 14:32:35 +0100

tifffile (20201208-1) unstable; urgency=medium

  * New upstream version 20201208
  * Rediff patches
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Dec 2020 09:48:13 +0100

tifffile (20201126-2) unstable; urgency=medium

  * Disable another test that requires remote data

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Nov 2020 10:18:53 +0100

tifffile (20201126-1) unstable; urgency=medium

  * New upstream version 20201126
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Nov 2020 10:05:01 +0100

tifffile (20201118-2) unstable; urgency=medium

  * Skip more remote-data depending tests

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Nov 2020 09:32:34 +0100

tifffile (20201118-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Ole Streicher ]
  * New upstream version 20201118
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Nov 2020 08:56:22 +0100

tifffile (20200717-2) unstable; urgency=low

  * Add python3-lxml recommendation and test dependency
  * Skip tests that require codec or private data

 -- Ole Streicher <olebole@debian.org>  Sat, 18 Jul 2020 10:54:06 +0200

tifffile (20200717-1) unstable; urgency=low

  * New upstream version 20200717. Fixes problems on big endian
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 18 Jul 2020 10:31:58 +0200

tifffile (20200603-1) unstable; urgency=low

  * Disable tests that require remote files
  * Use CI tests provided by upstream
  * Add gitlab-ci file
  * New upstream version 20200603. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 12:06:49 +0200

tifffile (20200511-1) unstable; urgency=low

  [ Andreas Tille ]
  * Move package to Debian Python Modules Team

  [ Ole Streicher ]
  * Put myself on uploaders list
  * Rename binary package to python3-tifffile
  * Don't install local script
  * Push compat to 13
  * Push Standards-Version to 4.5.0. No changes needed
  * Don't install lsm2bin
  * Fix d/watch to accept single-digit day and month
  * New upstream version 20200511

 -- Ole Streicher <olebole@debian.org>  Fri, 15 May 2020 20:16:16 +0200

tifffile (20181128-3) unstable; urgency=medium

  * Drop python from test depends
    Closes: #938668
  * Test-Depends: python3
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:39:53 +0100

tifffile (20181128-2) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in Homepage field.
  * Fix wrapper script
    Closes: #939511, #938668

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 21:37:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-tifffile`.
